<?php
/*
 * File: editobject.php
 * $Author: chuck $
 * $Revision: 1.4 $
 * $Date: 2001/04/21 05:44:44 $
 *
 * Turba: Copyright 2000 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

define('TURBA_BASE', dirname(__FILE__));
require_once TURBA_BASE . '/lib/base.php';
require_once TURBA_BASE . '/lib/Source.php';
require_once TURBA_BASE . '/lib/ObjectView.php';
require_once TURBA_BASE . '/lib/AbstractObject.php';
require TURBA_BASE . '/config/sources.php';

$title = _("Add a new contact");
require $conf['paths']['templates'] . '/common-header.inc';
require TURBA_BASE . '/menu.php';
require TURBA_BASE . '/status.php';

$source = Horde::getFormData('source');
if ($source == null || !isset($cfgSources[$source])) {
    $options = '';
    $count = 0;
    foreach ($cfgSources as $key => $curSource) {
	if (empty($curSource['readonly'])) {
	    $options .= '<option value="' . $key . '">' . $curSource['title'] . '</option>';
	    $source = $key;
	    $count++;
	}
    }
} else {
    $count = 1;
}

if ($count == 0) {
    include $conf['paths']['templates'] . '/add/noadd.inc';
} elseif ($count == 1) {
    $driver = new Turba_Source($source,
			       $cfgSources[$source]['title'],
			       $cfgSources[$source]['type'],
			       $cfgSources[$source]['params'],
			       $cfgSources[$source]['map'],
			       $cfgSources[$source]['public'],
			       $cfgSources[$source]['readonly']);
    
    $object = new Turba_AbstractObject($driver);
    $view = new Turba_ObjectView($object, $conf['paths']['templates'] . '/add/add.inc');
    $view->display();
} else {
    include $conf['paths']['templates'] . '/add/select.inc';
}


require $conf['paths']['templates'] . '/common-footer.inc';

?>
