<?php
/*
 * File: advanced.php
 * $Author: chuck $
 * $Revision: 1.10 $
 * $Date: 2001/05/29 15:57:23 $
 *
 * Turba: Copyright 2000 Charles J. Hagenbuch <chuck@horde.org>
 *        Copyright 2000 Alcove, Christian Couder <christian@alcove.fr>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

define('TURBA_BASE', dirname(__FILE__));
require_once TURBA_BASE . '/lib/base.php';
require_once TURBA_BASE . '/lib/Source.php';
require TURBA_BASE . '/config/sources.php';
require TURBA_BASE . '/config/attributes.php';

/* Build the directory sources select widget. */
$source_options = '';
foreach ($cfgSources as $key => $entry) {
    $selection = (isset($source) && $source == $key) ? ' selected' : '';
    $source_options .= "<option value=\"$key\"$selection >";
    $source_options .= $entry['title'] . "</option>\n";
}

$title = _("Advanced Directory Search");
require $conf['paths']['templates'] . '/common-header.inc';

/* run search if there is one */
$source = Horde::getFormData('source');
if (!isset($source) && isset($cfgSources) && is_array($cfgSources) && count($cfgSources) > 0) {
    reset($cfgSources);
    $source = key($cfgSources);
}

$driver = new Turba_Source($source,
                           $cfgSources[$source]['title'],
                           $cfgSources[$source]['type'],
                           $cfgSources[$source]['params'],
                           $cfgSources[$source]['map'],
                           $cfgSources[$source]['public'],
                           $cfgSources[$source]['readonly']);

$map = $driver->getCriteria();

$criteria = array();
foreach ($map as $key => $value) {
    if ($key != '__key') {
        $val = Horde::getFormData($key);
        if (!empty($val)) {
            $criteria[$key] = $val;
        }
    }
}

if (count($criteria) > 0) {
    $newaddresses = $driver->search($criteria, LASTNAME);
}

// has to be after for wap
require TURBA_BASE . '/menu.php';
require TURBA_BASE . '/status.php';
require $conf['paths']['templates'] . '/advanced/head.inc';

foreach ($map as $name => $v) {
    if ($name != '__owner') {
        include $conf['paths']['templates'] . '/advanced/criteria.inc';
    }
}

if ($registry->registry['mail']['compose'] == 'imp') {
    $compose_url = 'javascript:open_compose_win(compose());';
} else {
    $compose_url = 'javascript:get_mailto();';
}
require $conf['paths']['templates'] . '/advanced/results_head.inc';

if (empty($clear)) {
    
    if (isset($addresses) && is_array($addresses)) {
        for ($i = 0; $i < count($addresses); $i++) {
            $address = unserialize(base64_decode($addresses[$i]));
            if (is_array($address) && sizeof($address > 1)) {
                $displayed[$address['name'] . $address['email']] = 1;
                include $conf['paths']['templates'] . '/advanced/oldrow.inc';
            }
        }
    }
    
    if (isset($newaddresses) && is_object($newaddresses)) {
        include_once './lib/ListView.php';
        $display = new Turba_ListView($newaddresses, $conf['paths']['templates'] . '/advanced/row.inc');
        $display->display();
    }
}

require $conf['paths']['templates'] . '/advanced/foot.inc';
require $conf['paths']['templates'] . '/common-footer.inc';
$registry->shutdown();

?>
