<?php
// $Horde: turba/lib/base.php,v 1.14 2001/06/12 20:33:22 chuck Exp $

/*
 * Turba base inclusion file.
 *
 * This file brings in all of the dependencies that every Turba script
 * will need, and sets up objects that all scripts use.
 */

// Find the base file path of Horde
@define('HORDE_BASE', dirname(__FILE__) . '/../..');

// Find the base file path of Turba
@define('TURBA_BASE', dirname(__FILE__) . '/..');

// Registry
require_once HORDE_BASE . '/lib/Registry.php';
$registry = &Registry::singleton();
$registry->pushApp('turba');
$conf = &$GLOBALS['conf'];

// set error reporting according to config settings
error_reporting($conf['debug_level']);

// set max execution time according to config settings
set_time_limit($conf['max_exec_time']);

// Horde base libraries
require_once HORDE_BASE . '/lib/Horde.php';
require_once HORDE_BASE . '/lib/Auth.php';
require_once HORDE_BASE . '/lib/Lang.php';
require_once HORDE_BASE . '/lib/Secret.php';

// Turba base library
require_once TURBA_BASE . '/lib/Turba.php';

// Browser detection library
require_once HORDE_BASE . '/lib/Browser.php';
$browser = new Browser();

// Initialize the localization routines.    
require HORDE_BASE . '/config/lang.php';    
$language = Lang::select(true);    
putenv("LANG=$language");    
@setlocale(LC_ALL, $language);  

// Code that should be run at the beginning of all Turba pages
session_name($conf['session_name']);
@session_start();

// Don't allow access unless there is a Horde login, or guests are
// allowed.
if (!(Auth::getAuth() || $registry->allowGuests())) {
    header('Location: ' . Horde::url($conf['horde']['paths']['root'] . '/login.php?url=' . urlencode(Horde::selfUrl()), true));
    echo "\n";
    exit;
}

?>
