<?php
/*
 * File: search.php
 * $Author: chuck $
 * $Revision: 1.39 $
 * $Date: 2001/05/31 20:53:39 $
 *
 * Turba: Copyright 2000 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

function wapFormat($phoneNumber)
{
    $phoneNumber = preg_replace('|[ .()-]|', '', $phoneNumber);
    $phoneNumber = preg_replace('|ext(.)*|', '', $phoneNumber);
    
    return $phoneNumber;
}

define('TURBA_BASE', dirname(__FILE__));
require_once TURBA_BASE . '/lib/base.php';
require_once TURBA_BASE . '/lib/Source.php';
require TURBA_BASE . '/config/sources.php';

if ($registry->registry['mail']['compose'] == 'imp') {
    $compose_url = 'javascript:open_compose_win(compose());';
} else {
    $compose_url = 'javascript:get_mailto();';
}

if ($browser->hasFeature('wml')) {
    $conf['paths']['templates'] .= '/wml';
}
$title = _("Directory Search");
require $conf['paths']['templates'] . '/common-header.inc';

/* run search if there is one */
$source = Horde::getFormData('source');
if (!isset($source) && isset($cfgSources) && is_array($cfgSources) && count($cfgSources) > 0) {
    reset($cfgSources);
    $source = key($cfgSources);
}

$criteria = Horde::getFormData('criteria');
$val = Horde::getFormData('val');
if (isset($criteria) && isset($val)) {
    $driver = new Turba_Source($source,
                               $cfgSources[$source]['title'],
                               $cfgSources[$source]['type'],
                               $cfgSources[$source]['params'],
                               $cfgSources[$source]['map'],
                               $cfgSources[$source]['public'],
                               $cfgSources[$source]['readonly']);
    if (PEAR::isError($driver->error)) {
        Horde::raiseMessage(_("Failed to connect to the specified directory."), HORDE_ERROR);
    } else {
        if (!is_object($newaddresses = $driver->search(array($criteria => $val), LASTNAME))) {
            Horde::raiseMessage(sprintf(_("Failed to search the directory: %s"), $driver->error()), HORDE_ERROR);
        }
    }
}

/* Build the criteria select widget. */
$criteria_items = array('name' => _("Name"), 'email' => _("Email"));
$criteria_options = '';
foreach ($criteria_items as $key => $text) {
    $selected = ($key == $criteria) ? ' selected' : '';
    $criteria_options .= "<option value=\"$key\"$selected>";
    $criteria_options .= $text . "</option>\n";
}

/* Build the directory sources select widget. */
$source_options = '';
foreach ($cfgSources as $key => $entry) {
    $selected = ($key == $source) ? ' selected' : '';
    $source_options .= "<option value=\"$key\"$selected>";
    $source_options .= $entry['title'] . "</option>\n";
}

// Has to be after the search for WAP. Also allows us to raise errors
// during the search and have status.php display them.
require TURBA_BASE . '/menu.php';
require TURBA_BASE . '/status.php';
require $conf['paths']['templates'] . '/search/head.inc';

$numDisplayed = 0;
if (empty($HTTP_GET_VARS['clear'])) {
    if (isset($newaddresses) && is_object($newaddresses)) {
        include_once './lib/ListView.php';
        $display = new Turba_ListView($newaddresses, $conf['paths']['templates'] . '/search/row.inc');
        $numDisplayed = $display->display();
    }
}

require $conf['paths']['templates'] . '/search/foot.inc';
require $conf['paths']['templates'] . '/common-footer.inc';
if (!$browser->hasFeature('wml')) $registry->shutdown();

?>
